'\"
'\" Generated from file '/home/aku/Projects/Crimp/dev/embedded/man/files/crimp_intro\&.n' by tcllib/doctools with format 'nroff'
'\" Copyright (c) 2011 Andreas Kupries
'\" Copyright (c) 2011 Documentation, Andreas Kupries
'\"
'\" The definitions below are for supplemental macros used in Tcl/Tk
'\" manual entries.
'\"
'\" .AP type name in/out ?indent?
'\"	Start paragraph describing an argument to a library procedure.
'\"	type is type of argument (int, etc.), in/out is either "in", "out",
'\"	or "in/out" to describe whether procedure reads or modifies arg,
'\"	and indent is equivalent to second arg of .IP (shouldn't ever be
'\"	needed;  use .AS below instead)
'\"
'\" .AS ?type? ?name?
'\"	Give maximum sizes of arguments for setting tab stops.  Type and
'\"	name are examples of largest possible arguments that will be passed
'\"	to .AP later.  If args are omitted, default tab stops are used.
'\"
'\" .BS
'\"	Start box enclosure.  From here until next .BE, everything will be
'\"	enclosed in one large box.
'\"
'\" .BE
'\"	End of box enclosure.
'\"
'\" .CS
'\"	Begin code excerpt.
'\"
'\" .CE
'\"	End code excerpt.
'\"
'\" .VS ?version? ?br?
'\"	Begin vertical sidebar, for use in marking newly-changed parts
'\"	of man pages.  The first argument is ignored and used for recording
'\"	the version when the .VS was added, so that the sidebars can be
'\"	found and removed when they reach a certain age.  If another argument
'\"	is present, then a line break is forced before starting the sidebar.
'\"
'\" .VE
'\"	End of vertical sidebar.
'\"
'\" .DS
'\"	Begin an indented unfilled display.
'\"
'\" .DE
'\"	End of indented unfilled display.
'\"
'\" .SO
'\"	Start of list of standard options for a Tk widget.  The
'\"	options follow on successive lines, in four columns separated
'\"	by tabs.
'\"
'\" .SE
'\"	End of list of standard options for a Tk widget.
'\"
'\" .OP cmdName dbName dbClass
'\"	Start of description of a specific option.  cmdName gives the
'\"	option's name as specified in the class command, dbName gives
'\"	the option's name in the option database, and dbClass gives
'\"	the option's class in the option database.
'\"
'\" .UL arg1 arg2
'\"	Print arg1 underlined, then print arg2 normally.
'\"
'\" RCS: @(#) $Id: man.macros,v 1.1 2009/01/30 04:56:47 andreas_kupries Exp $
'\"
'\"	# Set up traps and other miscellaneous stuff for Tcl/Tk man pages.
.if t .wh -1.3i ^B
.nr ^l \n(.l
.ad b
'\"	# Start an argument description
.de AP
.ie !"\\$4"" .TP \\$4
.el \{\
.   ie !"\\$2"" .TP \\n()Cu
.   el          .TP 15
.\}
.ta \\n()Au \\n()Bu
.ie !"\\$3"" \{\
\&\\$1	\\fI\\$2\\fP	(\\$3)
.\".b
.\}
.el \{\
.br
.ie !"\\$2"" \{\
\&\\$1	\\fI\\$2\\fP
.\}
.el \{\
\&\\fI\\$1\\fP
.\}
.\}
..
'\"	# define tabbing values for .AP
.de AS
.nr )A 10n
.if !"\\$1"" .nr )A \\w'\\$1'u+3n
.nr )B \\n()Au+15n
.\"
.if !"\\$2"" .nr )B \\w'\\$2'u+\\n()Au+3n
.nr )C \\n()Bu+\\w'(in/out)'u+2n
..
.AS Tcl_Interp Tcl_CreateInterp in/out
'\"	# BS - start boxed text
'\"	# ^y = starting y location
'\"	# ^b = 1
.de BS
.br
.mk ^y
.nr ^b 1u
.if n .nf
.if n .ti 0
.if n \l'\\n(.lu\(ul'
.if n .fi
..
'\"	# BE - end boxed text (draw box now)
.de BE
.nf
.ti 0
.mk ^t
.ie n \l'\\n(^lu\(ul'
.el \{\
.\"	Draw four-sided box normally, but don't draw top of
.\"	box if the box started on an earlier page.
.ie !\\n(^b-1 \{\
\h'-1.5n'\L'|\\n(^yu-1v'\l'\\n(^lu+3n\(ul'\L'\\n(^tu+1v-\\n(^yu'\l'|0u-1.5n\(ul'
.\}
.el \}\
\h'-1.5n'\L'|\\n(^yu-1v'\h'\\n(^lu+3n'\L'\\n(^tu+1v-\\n(^yu'\l'|0u-1.5n\(ul'
.\}
.\}
.fi
.br
.nr ^b 0
..
'\"	# VS - start vertical sidebar
'\"	# ^Y = starting y location
'\"	# ^v = 1 (for troff;  for nroff this doesn't matter)
.de VS
.if !"\\$2"" .br
.mk ^Y
.ie n 'mc \s12\(br\s0
.el .nr ^v 1u
..
'\"	# VE - end of vertical sidebar
.de VE
.ie n 'mc
.el \{\
.ev 2
.nf
.ti 0
.mk ^t
\h'|\\n(^lu+3n'\L'|\\n(^Yu-1v\(bv'\v'\\n(^tu+1v-\\n(^Yu'\h'-|\\n(^lu+3n'
.sp -1
.fi
.ev
.\}
.nr ^v 0
..
'\"	# Special macro to handle page bottom:  finish off current
'\"	# box/sidebar if in box/sidebar mode, then invoked standard
'\"	# page bottom macro.
.de ^B
.ev 2
'ti 0
'nf
.mk ^t
.if \\n(^b \{\
.\"	Draw three-sided box if this is the box's first page,
.\"	draw two sides but no top otherwise.
.ie !\\n(^b-1 \h'-1.5n'\L'|\\n(^yu-1v'\l'\\n(^lu+3n\(ul'\L'\\n(^tu+1v-\\n(^yu'\h'|0u'\c
.el \h'-1.5n'\L'|\\n(^yu-1v'\h'\\n(^lu+3n'\L'\\n(^tu+1v-\\n(^yu'\h'|0u'\c
.\}
.if \\n(^v \{\
.nr ^x \\n(^tu+1v-\\n(^Yu
\kx\h'-\\nxu'\h'|\\n(^lu+3n'\ky\L'-\\n(^xu'\v'\\n(^xu'\h'|0u'\c
.\}
.bp
'fi
.ev
.if \\n(^b \{\
.mk ^y
.nr ^b 2
.\}
.if \\n(^v \{\
.mk ^Y
.\}
..
'\"	# DS - begin display
.de DS
.RS
.nf
.sp
..
'\"	# DE - end display
.de DE
.fi
.RE
.sp
..
'\"	# SO - start of list of standard options
.de SO
.SH "STANDARD OPTIONS"
.LP
.nf
.ta 4c 8c 12c
.ft B
..
'\"	# SE - end of list of standard options
.de SE
.fi
.ft R
.LP
See the \\fBoptions\\fR manual entry for details on the standard options.
..
'\"	# OP - start of full description for a single option
.de OP
.LP
.nf
.ta 4c
Command-Line Name:	\\fB\\$1\\fR
Database Name:	\\fB\\$2\\fR
Database Class:	\\fB\\$3\\fR
.fi
.IP
..
'\"	# CS - begin code excerpt
.de CS
.RS
.nf
.ta .25i .5i .75i 1i
..
'\"	# CE - end code excerpt
.de CE
.fi
.RE
..
.de UL
\\$1\l'|0\(ul'\\$2
..
.TH "crimp_introduction" n 1 doc "C Raster Image Manipulation Package"
.BS
.SH NAME
crimp_introduction \- CRIMP - Introduction to CRIMP
.SH DESCRIPTION
Welcome to CRIMP, the C Raster Image Manipulation Package, a set of
extensions of \fITcl\fR for the handling and processing of
images\&. Due to the nature of images as a 2-dimensional table of
numbers some of the commands may reach into matrix and vector
mathematics as well\&.
.SH "RELATED DOCUMENTS"
.IP [1]
\fICRIMP - How To Get The Sources\fR\&.
.IP [2]
\fICRIMP - The Installer's Guide\fR\&.
.IP [3]
\fICRIMP - The Developer's Guide\fR\&.
.PP
.SH "SYSTEM ARCHITECTURE"
The system can be split into roughly three sections, as seen in the
figure below
.PP
IMAGE: architecture
.PP
These sections are:
.IP [1]
At the \fIcore\fR is a single package, \fBcrimp::core\fR,
providing both C and Tcl level data types and accessors for images,
plus rudimentary IO capabilities (conversion to and construction from
matrices of numbers, represented by nested Tcl lists)\&.
.sp
While this package is functional on its own most of the truly
interesting commands will be found in the packages built on top of
this one\&.
.IP [2]
The \fIprocessing\fR section contains a single package as well,
\fBcrimp\fR\&. Built on top of the \fBcrimp::core\fR this
package provides the majority of CRIMPs power for manipulating and
transforming images in a number of ways\&.
.IP [3]
The last section, for \fIIO\fR, currently contains five packages,
each providing the ability to import and/or export CRIMP images from a
specific external image format\&. These packages, all built on top of
the \fBcrimp::core\fR are
.RS
.TP
\fBcrimp::bmp\fR
This package provides the ability to read BMP images, i\&.e\&. the Windows
bitmap format, as defined at \fIhttp://en\&.wikipedia\&.org/wiki/BMP_file_format\fR\&.
.TP
\fBcrimp::pcx\fR
This package provides the ability to read PCX images, as defined at
\fIhttp://en\&.wikipedia\&.org/wiki/PCX\fR\&.
.TP
\fBcrimp::pfm\fR
This package provides the ability to read from and write to PFM
images, i\&.e\&. the "Portable Float Map" format\&. This format is an
unofficial derivative of the "Portable Grey Map" (see below), with the
integer numbers of that format replaced with floating point values\&.
.TP
\fBcrimp::pgm\fR
This package provides the ability to read from and write to PGM
images, i\&.e\&. the "Portable Grey Map" format as specified at
\fIhttp://en\&.wikipedia\&.org/wiki/Netpbm_format\fR\&.
.TP
\fBcrimp::ppm\fR
This package provides the ability to read from and write to PPM
images, i\&.e\&. the "Portable Pix Map" format as specified at
\fIhttp://en\&.wikipedia\&.org/wiki/Netpbm_format\fR\&.
.TP
\fBcrimp::sgi\fR
This package provides the ability to read SGI raster images, as
defined at \fIhttp://en\&.wikipedia\&.org/wiki/Silicon_Graphics_Image\fR\&.
.TP
\fBcrimp::sun\fR
This package provides the ability to read SUN raster images, as
defined at \fIhttp://www\&.fileformat\&.info/format/sunraster/egff\&.htm\fR\&.
.TP
\fBcrimp::tk\fR
This package provides the ability to convert CRIMP images into Tk
photo images and vice versa\&. This is the \fIonly\fR package in the
whole set which is dependent on the \fBTk\fR package and its
facilities\&.
.RE
.PP
The package dependencies are shown in the next image\&. It is mostly
as you would exect, with pretty much everything depending the on the
\fBcrimp::core\fR and that depending on nothing but itself\&.
.PP
Of note however is that the \fBcrimp::{ppm,pgm,pfm}\fR
packages all depend on the main \fBcrimp\fR package\&. They all
use the \fBcrimp convert\fR ensemble, enabling them to handle not
only their natural image types, but a number of others as well\&.
.PP
.PS
.nf
crimp::bmp -----------------\\
                             \\
crimp::ppm ------\\----------\\ \\
                 |          | |
                 V          V V
crimp::ppm ---> crimp ---> crimp::core
          \\      ^         ^ ^ ^
           \\     |         | | |
            \\--------------/ | |
                 |           | |
crimp::pfm ------/-----------/ /
                              /
crimp::tk -------------------/
crimp::pcx -----------------/
crimp::sun ----------------/
crimp::sgi ---------------/

.fi
.PE
.PP
.SH KEYWORDS
computer vision, document processing, image, matrix, photo, vector
.SH COPYRIGHT
.nf
Copyright (c) 2011 Andreas Kupries
Copyright (c) 2011 Documentation, Andreas Kupries

.fi