'\"
'\" Generated by tcllib/doctools/idx with format 'nroff'
'\" The definitions below are for supplemental macros used in Tcl/Tk
'\" manual entries.
'\"
'\" .AP type name in/out ?indent?
'\"	Start paragraph describing an argument to a library procedure.
'\"	type is type of argument (int, etc.), in/out is either "in", "out",
'\"	or "in/out" to describe whether procedure reads or modifies arg,
'\"	and indent is equivalent to second arg of .IP (shouldn't ever be
'\"	needed;  use .AS below instead)
'\"
'\" .AS ?type? ?name?
'\"	Give maximum sizes of arguments for setting tab stops.  Type and
'\"	name are examples of largest possible arguments that will be passed
'\"	to .AP later.  If args are omitted, default tab stops are used.
'\"
'\" .BS
'\"	Start box enclosure.  From here until next .BE, everything will be
'\"	enclosed in one large box.
'\"
'\" .BE
'\"	End of box enclosure.
'\"
'\" .CS
'\"	Begin code excerpt.
'\"
'\" .CE
'\"	End code excerpt.
'\"
'\" .VS ?version? ?br?
'\"	Begin vertical sidebar, for use in marking newly-changed parts
'\"	of man pages.  The first argument is ignored and used for recording
'\"	the version when the .VS was added, so that the sidebars can be
'\"	found and removed when they reach a certain age.  If another argument
'\"	is present, then a line break is forced before starting the sidebar.
'\"
'\" .VE
'\"	End of vertical sidebar.
'\"
'\" .DS
'\"	Begin an indented unfilled display.
'\"
'\" .DE
'\"	End of indented unfilled display.
'\"
'\" .SO
'\"	Start of list of standard options for a Tk widget.  The
'\"	options follow on successive lines, in four columns separated
'\"	by tabs.
'\"
'\" .SE
'\"	End of list of standard options for a Tk widget.
'\"
'\" .OP cmdName dbName dbClass
'\"	Start of description of a specific option.  cmdName gives the
'\"	option's name as specified in the class command, dbName gives
'\"	the option's name in the option database, and dbClass gives
'\"	the option's class in the option database.
'\"
'\" .UL arg1 arg2
'\"	Print arg1 underlined, then print arg2 normally.
'\"
'\" RCS: @(#) $Id: man.macros,v 1.1 2009/01/30 04:56:47 andreas_kupries Exp $
'\"
'\"	# Set up traps and other miscellaneous stuff for Tcl/Tk man pages.
.if t .wh -1.3i ^B
.nr ^l \n(.l
.ad b
'\"	# Start an argument description
.de AP
.ie !"\\$4"" .TP \\$4
.el \{\
.   ie !"\\$2"" .TP \\n()Cu
.   el          .TP 15
.\}
.ta \\n()Au \\n()Bu
.ie !"\\$3"" \{\
\&\\$1	\\fI\\$2\\fP	(\\$3)
.\".b
.\}
.el \{\
.br
.ie !"\\$2"" \{\
\&\\$1	\\fI\\$2\\fP
.\}
.el \{\
\&\\fI\\$1\\fP
.\}
.\}
..
'\"	# define tabbing values for .AP
.de AS
.nr )A 10n
.if !"\\$1"" .nr )A \\w'\\$1'u+3n
.nr )B \\n()Au+15n
.\"
.if !"\\$2"" .nr )B \\w'\\$2'u+\\n()Au+3n
.nr )C \\n()Bu+\\w'(in/out)'u+2n
..
.AS Tcl_Interp Tcl_CreateInterp in/out
'\"	# BS - start boxed text
'\"	# ^y = starting y location
'\"	# ^b = 1
.de BS
.br
.mk ^y
.nr ^b 1u
.if n .nf
.if n .ti 0
.if n \l'\\n(.lu\(ul'
.if n .fi
..
'\"	# BE - end boxed text (draw box now)
.de BE
.nf
.ti 0
.mk ^t
.ie n \l'\\n(^lu\(ul'
.el \{\
.\"	Draw four-sided box normally, but don't draw top of
.\"	box if the box started on an earlier page.
.ie !\\n(^b-1 \{\
\h'-1.5n'\L'|\\n(^yu-1v'\l'\\n(^lu+3n\(ul'\L'\\n(^tu+1v-\\n(^yu'\l'|0u-1.5n\(ul'
.\}
.el \}\
\h'-1.5n'\L'|\\n(^yu-1v'\h'\\n(^lu+3n'\L'\\n(^tu+1v-\\n(^yu'\l'|0u-1.5n\(ul'
.\}
.\}
.fi
.br
.nr ^b 0
..
'\"	# VS - start vertical sidebar
'\"	# ^Y = starting y location
'\"	# ^v = 1 (for troff;  for nroff this doesn't matter)
.de VS
.if !"\\$2"" .br
.mk ^Y
.ie n 'mc \s12\(br\s0
.el .nr ^v 1u
..
'\"	# VE - end of vertical sidebar
.de VE
.ie n 'mc
.el \{\
.ev 2
.nf
.ti 0
.mk ^t
\h'|\\n(^lu+3n'\L'|\\n(^Yu-1v\(bv'\v'\\n(^tu+1v-\\n(^Yu'\h'-|\\n(^lu+3n'
.sp -1
.fi
.ev
.\}
.nr ^v 0
..
'\"	# Special macro to handle page bottom:  finish off current
'\"	# box/sidebar if in box/sidebar mode, then invoked standard
'\"	# page bottom macro.
.de ^B
.ev 2
'ti 0
'nf
.mk ^t
.if \\n(^b \{\
.\"	Draw three-sided box if this is the box's first page,
.\"	draw two sides but no top otherwise.
.ie !\\n(^b-1 \h'-1.5n'\L'|\\n(^yu-1v'\l'\\n(^lu+3n\(ul'\L'\\n(^tu+1v-\\n(^yu'\h'|0u'\c
.el \h'-1.5n'\L'|\\n(^yu-1v'\h'\\n(^lu+3n'\L'\\n(^tu+1v-\\n(^yu'\h'|0u'\c
.\}
.if \\n(^v \{\
.nr ^x \\n(^tu+1v-\\n(^Yu
\kx\h'-\\nxu'\h'|\\n(^lu+3n'\ky\L'-\\n(^xu'\v'\\n(^xu'\h'|0u'\c
.\}
.bp
'fi
.ev
.if \\n(^b \{\
.mk ^y
.nr ^b 2
.\}
.if \\n(^v \{\
.mk ^Y
.\}
..
'\"	# DS - begin display
.de DS
.RS
.nf
.sp
..
'\"	# DE - end display
.de DE
.fi
.RE
.sp
..
'\"	# SO - start of list of standard options
.de SO
.SH "STANDARD OPTIONS"
.LP
.nf
.ta 4c 8c 12c
.ft B
..
'\"	# SE - end of list of standard options
.de SE
.fi
.ft R
.LP
See the \\fBoptions\\fR manual entry for details on the standard options.
..
'\"	# OP - start of full description for a single option
.de OP
.LP
.nf
.ta 4c
Command-Line Name:	\\fB\\$1\\fR
Database Name:	\\fB\\$2\\fR
Database Class:	\\fB\\$3\\fR
.fi
.IP
..
'\"	# CS - begin code excerpt
.de CS
.RS
.nf
.ta .25i .5i .75i 1i
..
'\"	# CE - end code excerpt
.de CE
.fi
.RE
..
.de UL
\\$1\l'|0\(ul'\\$2
..
.TH "Keyword Index" n
.BS
.SH INDEX
doc
.RS
affine
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
affine transform
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
alpha
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
alpha blending
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
alpha channel
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
average
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
binarization
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
black tophat
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
blending
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
BMP
.RS
.TP
\fBfiles/crimp_bmp\&.n\fR
crimp_bmp
.RE
BMP image export
.RS
.TP
\fBfiles/crimp_bmp\&.n\fR
crimp_bmp
.RE
BMP image import
.RS
.TP
\fBfiles/crimp_bmp\&.n\fR
crimp_bmp
.RE
bounding box
.RS
.TP
\fBfiles/crimp_core\&.n\fR
crimp_core
.RE
canny
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
channels
.RS
.TP
\fBfiles/crimp_core\&.n\fR
crimp_core
.RE
charcoal
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
clockwise
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
closing
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
composite blending
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
composition
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
computer vision
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.TP
\fBfiles/crimp_bmp\&.n\fR
crimp_bmp
.TP
\fBfiles/crimp_core\&.n\fR
crimp_core
.TP
\fBfiles/crimp_devguide\&.n\fR
crimp_devguide
.TP
\fBfiles/crimp_installer\&.n\fR
crimp_install_guide
.TP
\fBfiles/crimp_intro\&.n\fR
crimp_introduction
.TP
\fBfiles/crimp_pcx\&.n\fR
crimp_pcx
.TP
\fBfiles/crimp_pfm\&.n\fR
crimp_pfm
.TP
\fBfiles/crimp_pgm\&.n\fR
crimp_pgm
.TP
\fBfiles/crimp_ppm\&.n\fR
crimp_ppm
.TP
\fBfiles/crimp_sgi\&.n\fR
crimp_sgi
.TP
\fBfiles/crimp_sources\&.n\fR
crimp_sources
.TP
\fBfiles/crimp_sun\&.n\fR
crimp_sun
.TP
\fBfiles/crimp_tk\&.n\fR
crimp_tk
.RE
const expansion
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
convolution filter
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
counter-clockwise
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
cropping
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
cut region
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
cyclic wrap expansion
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
dilation
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
dimensions
.RS
.TP
\fBfiles/crimp_core\&.n\fR
crimp_core
.RE
document processing
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.TP
\fBfiles/crimp_bmp\&.n\fR
crimp_bmp
.TP
\fBfiles/crimp_core\&.n\fR
crimp_core
.TP
\fBfiles/crimp_devguide\&.n\fR
crimp_devguide
.TP
\fBfiles/crimp_installer\&.n\fR
crimp_install_guide
.TP
\fBfiles/crimp_intro\&.n\fR
crimp_introduction
.TP
\fBfiles/crimp_pcx\&.n\fR
crimp_pcx
.TP
\fBfiles/crimp_pfm\&.n\fR
crimp_pfm
.TP
\fBfiles/crimp_pgm\&.n\fR
crimp_pgm
.TP
\fBfiles/crimp_ppm\&.n\fR
crimp_ppm
.TP
\fBfiles/crimp_sgi\&.n\fR
crimp_sgi
.TP
\fBfiles/crimp_sources\&.n\fR
crimp_sources
.TP
\fBfiles/crimp_sun\&.n\fR
crimp_sun
.TP
\fBfiles/crimp_tk\&.n\fR
crimp_tk
.RE
edge shrinking
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
edge-detection
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
effect
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
emboss
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
erosion
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
expansion
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
Export BMP image
.RS
.TP
\fBfiles/crimp_bmp\&.n\fR
crimp_bmp
.RE
Export image, BMP
.RS
.TP
\fBfiles/crimp_bmp\&.n\fR
crimp_bmp
.RE
Export image, PCX
.RS
.TP
\fBfiles/crimp_pcx\&.n\fR
crimp_pcx
.RE
Export image, PFM
.RS
.TP
\fBfiles/crimp_pfm\&.n\fR
crimp_pfm
.RE
Export image, PGM
.RS
.TP
\fBfiles/crimp_pgm\&.n\fR
crimp_pgm
.RE
Export image, PPM
.RS
.TP
\fBfiles/crimp_ppm\&.n\fR
crimp_ppm
.RE
Export image, SGI Raster
.RS
.TP
\fBfiles/crimp_sgi\&.n\fR
crimp_sgi
.RE
Export image, SUN Raster
.RS
.TP
\fBfiles/crimp_sun\&.n\fR
crimp_sun
.RE
Export PCX image
.RS
.TP
\fBfiles/crimp_pcx\&.n\fR
crimp_pcx
.RE
Export PFM image
.RS
.TP
\fBfiles/crimp_pfm\&.n\fR
crimp_pfm
.RE
Export PGM image
.RS
.TP
\fBfiles/crimp_pgm\&.n\fR
crimp_pgm
.RE
Export PPM image
.RS
.TP
\fBfiles/crimp_ppm\&.n\fR
crimp_ppm
.RE
Export SGI Raster image
.RS
.TP
\fBfiles/crimp_sgi\&.n\fR
crimp_sgi
.RE
Export SUN Raster image
.RS
.TP
\fBfiles/crimp_sun\&.n\fR
crimp_sun
.RE
Export tk photo
.RS
.TP
\fBfiles/crimp_tk\&.n\fR
crimp_tk
.RE
extend expansion
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
external gradient
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
extract rectangle
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
extract region
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
fast fourier transform
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
fft
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
filter
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
flip
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
fourier transform
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
gamma correction
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
geometry
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.TP
\fBfiles/crimp_core\&.n\fR
crimp_core
.RE
gradient
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
histogram
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
hypot
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
image
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.TP
\fBfiles/crimp_bmp\&.n\fR
crimp_bmp
.TP
\fBfiles/crimp_core\&.n\fR
crimp_core
.TP
\fBfiles/crimp_devguide\&.n\fR
crimp_devguide
.TP
\fBfiles/crimp_installer\&.n\fR
crimp_install_guide
.TP
\fBfiles/crimp_intro\&.n\fR
crimp_introduction
.TP
\fBfiles/crimp_pcx\&.n\fR
crimp_pcx
.TP
\fBfiles/crimp_pfm\&.n\fR
crimp_pfm
.TP
\fBfiles/crimp_pgm\&.n\fR
crimp_pgm
.TP
\fBfiles/crimp_ppm\&.n\fR
crimp_ppm
.TP
\fBfiles/crimp_sgi\&.n\fR
crimp_sgi
.TP
\fBfiles/crimp_sources\&.n\fR
crimp_sources
.TP
\fBfiles/crimp_sun\&.n\fR
crimp_sun
.TP
\fBfiles/crimp_tk\&.n\fR
crimp_tk
.RE
image accessors
.RS
.TP
\fBfiles/crimp_core\&.n\fR
crimp_core
.RE
image type
.RS
.TP
\fBfiles/crimp_core\&.n\fR
crimp_core
.RE
Import BMP image
.RS
.TP
\fBfiles/crimp_bmp\&.n\fR
crimp_bmp
.RE
Import image, BMP
.RS
.TP
\fBfiles/crimp_bmp\&.n\fR
crimp_bmp
.RE
Import image, PCX
.RS
.TP
\fBfiles/crimp_pcx\&.n\fR
crimp_pcx
.RE
Import image, PFM
.RS
.TP
\fBfiles/crimp_pfm\&.n\fR
crimp_pfm
.RE
Import image, PGM
.RS
.TP
\fBfiles/crimp_pgm\&.n\fR
crimp_pgm
.RE
Import image, PPM
.RS
.TP
\fBfiles/crimp_ppm\&.n\fR
crimp_ppm
.RE
Import image, SGI Raster
.RS
.TP
\fBfiles/crimp_sgi\&.n\fR
crimp_sgi
.RE
Import image, SUN Raster
.RS
.TP
\fBfiles/crimp_sun\&.n\fR
crimp_sun
.RE
Import PCX image
.RS
.TP
\fBfiles/crimp_pcx\&.n\fR
crimp_pcx
.RE
Import PFM image
.RS
.TP
\fBfiles/crimp_pfm\&.n\fR
crimp_pfm
.RE
Import PGM image
.RS
.TP
\fBfiles/crimp_pgm\&.n\fR
crimp_pgm
.RE
Import PPM image
.RS
.TP
\fBfiles/crimp_ppm\&.n\fR
crimp_ppm
.RE
Import SGI Raster image
.RS
.TP
\fBfiles/crimp_sgi\&.n\fR
crimp_sgi
.RE
Import SUN Raster image
.RS
.TP
\fBfiles/crimp_sun\&.n\fR
crimp_sun
.RE
Import tk photo
.RS
.TP
\fBfiles/crimp_tk\&.n\fR
crimp_tk
.RE
integral image
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
internal gradient
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
inverse fourier transform
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
inversion
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
log-compression
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
log-polar transformation
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
matrix
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.TP
\fBfiles/crimp_bmp\&.n\fR
crimp_bmp
.TP
\fBfiles/crimp_core\&.n\fR
crimp_core
.TP
\fBfiles/crimp_devguide\&.n\fR
crimp_devguide
.TP
\fBfiles/crimp_installer\&.n\fR
crimp_install_guide
.TP
\fBfiles/crimp_intro\&.n\fR
crimp_introduction
.TP
\fBfiles/crimp_pcx\&.n\fR
crimp_pcx
.TP
\fBfiles/crimp_pfm\&.n\fR
crimp_pfm
.TP
\fBfiles/crimp_pgm\&.n\fR
crimp_pgm
.TP
\fBfiles/crimp_ppm\&.n\fR
crimp_ppm
.TP
\fBfiles/crimp_sgi\&.n\fR
crimp_sgi
.TP
\fBfiles/crimp_sources\&.n\fR
crimp_sources
.TP
\fBfiles/crimp_sun\&.n\fR
crimp_sun
.TP
\fBfiles/crimp_tk\&.n\fR
crimp_tk
.RE
max
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
max-filter
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
mean
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
mean filter
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
median
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
median-filter
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
middle
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
min
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
min-filter
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
mirror expansion
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
montage
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
morphology
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
opening
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
otsu threshold
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
PCX
.RS
.TP
\fBfiles/crimp_pcx\&.n\fR
crimp_pcx
.RE
PCX image export
.RS
.TP
\fBfiles/crimp_pcx\&.n\fR
crimp_pcx
.RE
PCX image import
.RS
.TP
\fBfiles/crimp_pcx\&.n\fR
crimp_pcx
.RE
perspective
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
PFM
.RS
.TP
\fBfiles/crimp_pfm\&.n\fR
crimp_pfm
.RE
PFM image export
.RS
.TP
\fBfiles/crimp_pfm\&.n\fR
crimp_pfm
.RE
PFM image import
.RS
.TP
\fBfiles/crimp_pfm\&.n\fR
crimp_pfm
.RE
PGM
.RS
.TP
\fBfiles/crimp_pgm\&.n\fR
crimp_pgm
.RE
PGM image export
.RS
.TP
\fBfiles/crimp_pgm\&.n\fR
crimp_pgm
.RE
PGM image import
.RS
.TP
\fBfiles/crimp_pgm\&.n\fR
crimp_pgm
.RE
photo
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.TP
\fBfiles/crimp_bmp\&.n\fR
crimp_bmp
.TP
\fBfiles/crimp_core\&.n\fR
crimp_core
.TP
\fBfiles/crimp_devguide\&.n\fR
crimp_devguide
.TP
\fBfiles/crimp_installer\&.n\fR
crimp_install_guide
.TP
\fBfiles/crimp_intro\&.n\fR
crimp_introduction
.TP
\fBfiles/crimp_pcx\&.n\fR
crimp_pcx
.TP
\fBfiles/crimp_pfm\&.n\fR
crimp_pfm
.TP
\fBfiles/crimp_pgm\&.n\fR
crimp_pgm
.TP
\fBfiles/crimp_ppm\&.n\fR
crimp_ppm
.TP
\fBfiles/crimp_sgi\&.n\fR
crimp_sgi
.TP
\fBfiles/crimp_sources\&.n\fR
crimp_sources
.TP
\fBfiles/crimp_sun\&.n\fR
crimp_sun
.TP
\fBfiles/crimp_tk\&.n\fR
crimp_tk
.RE
pixel mapping
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
PPM
.RS
.TP
\fBfiles/crimp_ppm\&.n\fR
crimp_ppm
.RE
PPM image export
.RS
.TP
\fBfiles/crimp_ppm\&.n\fR
crimp_ppm
.RE
PPM image import
.RS
.TP
\fBfiles/crimp_ppm\&.n\fR
crimp_ppm
.RE
prewitt
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
projective
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
projective transform
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
rank-order filter
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
rectangle cut
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
rectangle extraction
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
region cut
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
region of interest
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
remapping
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
replicate edge expansion
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
rescale
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
resize
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
roberts
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
rotate
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
rotation
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
sabattier effect
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
scale
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
scharr
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
SGI
.RS
.TP
\fBfiles/crimp_sgi\&.n\fR
crimp_sgi
.RE
SGI Raster image export
.RS
.TP
\fBfiles/crimp_sgi\&.n\fR
crimp_sgi
.RE
SGI Raster image import
.RS
.TP
\fBfiles/crimp_sgi\&.n\fR
crimp_sgi
.RE
sharpen
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
shrinking
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
sobel
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
solarization
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
sqrt-compression
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
standard deviation filter
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
statistics
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
stddev
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
summed area table
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
SUN
.RS
.TP
\fBfiles/crimp_sun\&.n\fR
crimp_sun
.RE
SUN Raster image export
.RS
.TP
\fBfiles/crimp_sun\&.n\fR
crimp_sun
.RE
SUN Raster image import
.RS
.TP
\fBfiles/crimp_sun\&.n\fR
crimp_sun
.RE
threshold
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
thresholding
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
Tk photo export
.RS
.TP
\fBfiles/crimp_tk\&.n\fR
crimp_tk
.RE
Tk photo import
.RS
.TP
\fBfiles/crimp_tk\&.n\fR
crimp_tk
.RE
toggle map
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
tophat
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
toroidal wrap expansion
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
transform
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
transform, fast fourier
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
transform, fourier
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
transform, inverse fourier
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
transformation, log-polar
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
translate
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
variance
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
vector
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.TP
\fBfiles/crimp_bmp\&.n\fR
crimp_bmp
.TP
\fBfiles/crimp_core\&.n\fR
crimp_core
.TP
\fBfiles/crimp_devguide\&.n\fR
crimp_devguide
.TP
\fBfiles/crimp_installer\&.n\fR
crimp_install_guide
.TP
\fBfiles/crimp_intro\&.n\fR
crimp_introduction
.TP
\fBfiles/crimp_pcx\&.n\fR
crimp_pcx
.TP
\fBfiles/crimp_pfm\&.n\fR
crimp_pfm
.TP
\fBfiles/crimp_pgm\&.n\fR
crimp_pgm
.TP
\fBfiles/crimp_ppm\&.n\fR
crimp_ppm
.TP
\fBfiles/crimp_sgi\&.n\fR
crimp_sgi
.TP
\fBfiles/crimp_sources\&.n\fR
crimp_sources
.TP
\fBfiles/crimp_sun\&.n\fR
crimp_sun
.TP
\fBfiles/crimp_tk\&.n\fR
crimp_tk
.RE
vector-field
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
warp
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
white tophat
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
windowing
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE
wrap expansion
.RS
.TP
\fBfiles/crimp\&.n\fR
crimp
.RE